<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="procesar()" class="btn btn-primary">
    Procesar
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="cChr1" formControlName="cChr1" value="N" id="PorNumero" class="k-radio mt-2"
          [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="PorNumero">Número</label>
          <input type="radio" name="cChr1" formControlName="cChr1" value="A" id="PorAño" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="PorAño">Año</label>
        </div>
        <div class="col-md-2 col-sm-3 form-group">
          <div class="row">
            <div class="form-group col-12">
              <label class="w-100">Tipo</label>
              <div class="input-group">
                <input type="text" class="form-control" formControlName="cChr2" readonly>
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" (click)="openModal(modal, 'banda')">
                    <i class="fas fa-search"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2 col-xl-2">
          <label class="w-100">Desde:</label>
          <input type="tel" pattern="[0-9]*" min="1" class="form-control" formControlName="iInt2">
        </div>
        <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2 col-xl-2">
          <label class="w-100">Hasta:</label>
          <input type="tel" pattern="[0-9]*" min="1" class="form-control" formControlName="iInt1">
        </div>
        <div class="form-group col-4 col-sm-3 col-md-2 col-lg-2 col-xl-2">
          <label class="w-100"></label>
          <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1" [checked]="true">
          <label class="k-checkbox-label mt-2" for="lLog1">Verifica</label>
        </div>
      </div>

    </form>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-help-bandas (banda)="getDataModal($event, 'banda'); c()" *ngIf="modalType === 'banda'"></app-help-bandas>


  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>

